Loading...
Searching...
No Matches
dump_config.h File Reference
Internal API

Dumps data structures into file. More...

`#include <stdio.h>`
`#include <sys/types.h>`
`#include <unistd.h>`
`#include "ir_remote.h"`

Go to the source code of this file.

## Functions

void | fprint_comment (FILE *f, const struct ir_remote *rem, const char *commandline)
void | fprint_flags (FILE *f, int flags)
void | fprint_remotes (FILE *f, const struct ir_remote *all, const char *commandline)
void | fprint_remote_gap (FILE *f, const struct ir_remote *rem)
void | fprint_remote_head (FILE *f, const struct ir_remote *rem)
void | fprint_remote_foot (FILE *f, const struct ir_remote *rem)
void | fprint_remote_signal_head (FILE *f, const struct ir_remote *rem)
void | fprint_remote_signal_foot (FILE *f, const struct ir_remote *rem)
void | fprint_remote_signal (FILE *f, const struct ir_remote *rem, const struct ir_ncode *codes)
void | fprint_remote_signals (FILE *f, const struct ir_remote *rem)
void | fprint_remote (FILE *f, const struct ir_remote *rem, const char *commandline)

## Detailed Description

Dumps data structures into file.

Author
  Pablo d'Angelo

Definition in file dump_config.h.

## Function Documentation

## fprint_comment()

void fprint_comment | ( | FILE * | f,
|  | const struct ir_remote * | rem,
|  | const char * | commandline )

Definition at line 41 of file dump_config.c.

## fprint_flags()

void fprint_flags | ( | FILE * | f,
|  | int | flags )

Definition at line 85 of file dump_config.c.

## fprint_remote()

void fprint_remote | ( | FILE * | f,
|  | const struct ir_remote * | rem,
|  | const char * | commandline )

Definition at line 281 of file dump_config.c.

## fprint_remote_foot()

void fprint_remote_foot | ( | FILE * | f,
|  | const struct ir_remote * | rem )

Definition at line 206 of file dump_config.c.

## fprint_remote_gap()

void fprint_remote_gap | ( | FILE * | f,
|  | const struct ir_remote * | rem )

Definition at line 114 of file dump_config.c.

## fprint_remote_head()

void fprint_remote_head | ( | FILE * | f,
|  | const struct ir_remote * | rem )

Definition at line 122 of file dump_config.c.

## fprint_remote_signal()

void fprint_remote_signal | ( | FILE * | f,
|  | const struct ir_remote * | rem,
|  | const struct ir_ncode * | codes )

Definition at line 227 of file dump_config.c.

## fprint_remote_signal_foot()

void fprint_remote_signal_foot | ( | FILE * | f,
|  | const struct ir_remote * | rem )

Definition at line 219 of file dump_config.c.

## fprint_remote_signal_head()

void fprint_remote_signal_head | ( | FILE * | f,
|  | const struct ir_remote * | rem )

Definition at line 211 of file dump_config.c.

## fprint_remote_signals()

void fprint_remote_signals | ( | FILE * | f,
|  | const struct ir_remote * | rem )

Definition at line 268 of file dump_config.c.

## fprint_remotes()

void fprint_remotes | ( | FILE * | f,
|  | const struct ir_remote * | all,
|  | const char * | commandline )

Definition at line 105 of file dump_config.c.